// pages/components/EquipmentChart/EquipmentChart.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    colors: {
      type: Array,
      value: ['#6895fe'],
    },
    dataList: {
      type: Array,
      value: [],
      observer(newVal) {
        let maxnum = Math.ceil(
          Math.max(...newVal.map(item => item.value)) / 0.9,
        );
        let list = newVal.map(item => ({
          ...item,
          precent: Math.ceil((item.value / maxnum) * 100),
        }));
        this.setData({
          list,
        });
      },
    },
  },

  /**
   * 组件的初始数据
   */
  data: {
    list: [],
  },

  /**
   * 组件的方法列表
   */
  methods: {},
});
